/*
    Copyright (C) 1999 Paul Barton-Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: audio_clock_ui.h,v 1.7 2000/10/04 16:45:31 pbd Exp $
*/

#ifndef __audio_clock_ui_h__
#define __audio_clock_ui_h__

#include <gtk--.h>

namespace ALSA {
	class MultiChannelDevice;
};

class AudioThing;

class AudioClock_UI : public Gtk::HBox
{
  public:
	AudioClock_UI (ALSA::MultiChannelDevice *);

	void toggle_running ();
	void run_clock ();
	void stop_clock ();

	void connect_to_audiothing (AudioThing *);

  private:
	ALSA::MultiChannelDevice *mcd;
	AudioThing *audiothing;

	Gtk::HBox   label_packer_hbox;
	Gtk::HBox   label_packer;
	Gtk::Label  hours_label;
	Gtk::Label  minutes_label;
	Gtk::Label  seconds_label;
	Gtk::Label  frames_label;
	Gtk::Label  colon1, colon2, colon3;
	Gtk::Fixed  clock_base;
	Gtk::Frame  clock_frame;

	size_t last_sample;
	size_t last_hrs;
	size_t last_mins;
	size_t last_secs;
	size_t last_frames;

	bool clock_running;
	gint clock_timeout_tag;

	void show_display (size_t sample, bool force = false);
	static gint _update (void *);
	void update ();

	void disconnect_from_audiothing (AudioThing *);
};

#endif /* __audio_clock_ui_h__ */
